---
title: Delete a User Agent Blocking rule
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Firewall](https://developers.cloudflare.com/api/python/resources/firewall)

[UA Rules](https://developers.cloudflare.com/api/python/resources/firewall/subresources/ua_rules)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete a User Agent Blocking rule

firewall.ua\_rules.delete(strua\_rule\_id, UARuleDeleteParams\*\*kwargs) -> [UARuleDeleteResponse](<https://developers.cloudflare.com/api/python/resources/firewall#(resource)%20firewall.ua_rules%20%3E%20(model)%20ua_rule_delete_response%20%3E%20(schema)>)

DELETE/zones/{zone\_id}/firewall/ua\_rules/{ua\_rule\_id}

Deletes an existing User Agent Blocking rule.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Firewall Services Write`

##### ParametersExpand Collapse

zone\_id: str

Defines an identifier.

maxLength32

[Link to this property](<#(resource)%20firewall.ua_rules%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

ua\_rule\_id: str

The unique identifier of the User Agent Blocking rule.

maxLength32

[Link to this property](<#(resource)%20firewall.ua_rules%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20ua_rule_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class UARuleDeleteResponse: …

</summary>

id: Optional\[str]

The unique identifier of the User Agent Blocking rule.

maxLength32

<a href="#(resource)%20firewall.ua_rules%20%3E%20(model)%20ua_rule_delete_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

configuration: Optional\[Configuration]

The configuration object for the current rule.

</summary>

target: Optional\[str]

The configuration target for this rule. You must set the target to <code>ua</code> for User Agent Blocking rules.

<a href="#(resource)%20firewall.ua_rules%20%3E%20(model)%20ua_rule_delete_response%20%3E%20(schema)%20%3E%20(property)%20configuration%20%3E%20(property)%20target">Link to this property</a>

value: Optional\[str]

The exact user agent string to match. This value will be compared to the received <code>User-Agent</code> HTTP header value.

<a href="#(resource)%20firewall.ua_rules%20%3E%20(model)%20ua_rule_delete_response%20%3E%20(schema)%20%3E%20(property)%20configuration%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20firewall.ua_rules%20%3E%20(model)%20ua_rule_delete_response%20%3E%20(schema)%20%3E%20(property)%20configuration">Link to this property</a>

description: Optional\[str]

An informative summary of the rule.

maxLength1024

<a href="#(resource)%20firewall.ua_rules%20%3E%20(model)%20ua_rule_delete_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

<details>

<summary>

mode: Optional\[Literal\["block", "challenge", "js\_challenge", "managed\_challenge"]]

The action to apply to a matched request.

maxLength12

</summary>

One of the following:

"block"

<a href="#(resource)%20firewall.ua_rules%20%3E%20(model)%20ua_rule_delete_response%20%3E%20(schema)%20%3E%20(property)%20mode%20%3E%20(member)%200">Link to this property</a>

"challenge"

<a href="#(resource)%20firewall.ua_rules%20%3E%20(model)%20ua_rule_delete_response%20%3E%20(schema)%20%3E%20(property)%20mode%20%3E%20(member)%201">Link to this property</a>

"js\_challenge"

<a href="#(resource)%20firewall.ua_rules%20%3E%20(model)%20ua_rule_delete_response%20%3E%20(schema)%20%3E%20(property)%20mode%20%3E%20(member)%202">Link to this property</a>

"managed\_challenge"

<a href="#(resource)%20firewall.ua_rules%20%3E%20(model)%20ua_rule_delete_response%20%3E%20(schema)%20%3E%20(property)%20mode%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20firewall.ua_rules%20%3E%20(model)%20ua_rule_delete_response%20%3E%20(schema)%20%3E%20(property)%20mode">Link to this property</a>

paused: Optional\[bool]

When true, indicates that the rule is currently paused.

<a href="#(resource)%20firewall.ua_rules%20%3E%20(model)%20ua_rule_delete_response%20%3E%20(schema)%20%3E%20(property)%20paused">Link to this property</a>

</details>

[Link to this property](<#(resource)%20firewall.ua_rules%20%3E%20(model)%20ua_rule_delete_response%20%3E%20(schema)>)

### Delete a User Agent Blocking rule

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
ua_rule = client.firewall.ua_rules.delete(
    ua_rule_id="372e67954025e0ba6aaa6d586b9e0b59",
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(ua_rule.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b59",
    "configuration": {
      "target": "ua",
      "value": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_5) AppleWebKit/603.2.4 (KHTML, like Gecko) Version/10.1.1 Safari/603.2.4"
    },
    "description": "Prevent access from abusive clients identified by this User Agent to mitigate a DDoS attack",
    "mode": "js_challenge",
    "paused": false
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b59",
    "configuration": {
      "target": "ua",
      "value": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_5) AppleWebKit/603.2.4 (KHTML, like Gecko) Version/10.1.1 Safari/603.2.4"
    },
    "description": "Prevent access from abusive clients identified by this User Agent to mitigate a DDoS attack",
    "mode": "js_challenge",
    "paused": false
  },
  "success": true
}
```